<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.scene.control.Button?>
<?import javafx.scene.control.CheckBox?>
<?import javafx.scene.control.ListView?>
<?import javafx.scene.control.SplitPane?>
<?import javafx.scene.control.TextArea?>
<?import javafx.scene.control.TextField?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.text.Text?>

<AnchorPane id="AnchorPane" maxHeight="570.0" maxWidth="683.0" minHeight="570.0" minWidth="683.0" prefHeight="570.0" prefWidth="683.0" styleClass="mainFxmlClass" stylesheets="@../styles/mainfxml.css" xmlns="http://javafx.com/javafx/11.0.1" xmlns:fx="http://javafx.com/fxml/1" fx:controller="com.eiragarrett.tadler.controller.DMFXMLController">
   <children>
      <SplitPane dividerPositions="0.21827706635622815" prefHeight="570.0" prefWidth="683.0">
        <items>
          <AnchorPane maxHeight="-Infinity" maxWidth="-Infinity" minHeight="570.0" minWidth="140.0" prefHeight="570.0" prefWidth="140.0">
               <children>
                  <ListView fx:id="userList" prefHeight="570.0" prefWidth="140.0" />
               </children>
            </AnchorPane>
          <AnchorPane minHeight="0.0" minWidth="0.0" prefHeight="160.0" prefWidth="100.0">
               <children>
                  <Button fx:id="sendBtn" layoutX="393.0" layoutY="114.0" mnemonicParsing="false" onAction="#onSendClicked" text="%send.button.text" />
                  <TextArea fx:id="inputBox" layoutX="24.0" layoutY="77.0" onKeyReleased="#onInputChange" prefHeight="110.0" prefWidth="338.0" scrollLeft="-2.0" wrapText="true" />
                  <ListView fx:id="conversationList" layoutX="8.0" layoutY="199.0" prefHeight="360.0" prefWidth="520.0" />
                  <TextField fx:id="userField" layoutX="104.0" layoutY="45.0" prefHeight="26.0" prefWidth="257.0" visible="false" />
                  <Text fx:id="newText" layoutX="410.0" layoutY="63.0" strokeType="OUTSIDE" strokeWidth="0.0" styleClass="maintext" text="%newdm.checkbox.text" />
                  <CheckBox fx:id="newCheckBox" layoutX="488.0" layoutY="50.0" mnemonicParsing="false" onAction="#onCheckClicked" />
                  <Text fx:id="errorText" layoutX="13.0" layoutY="29.0" strokeType="OUTSIDE" strokeWidth="0.0" styleClass="errtext" />
                  <Text fx:id="usernameLabel" layoutX="24.0" layoutY="63.0" strokeType="OUTSIDE" strokeWidth="0.0" styleClass="maintext" text="%username.field.text" visible="false" />
               </children>
            </AnchorPane>
        </items>
      </SplitPane>
   </children>
</AnchorPane>
